Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234322 - trac 0.10.x + python 2.5 requires python-clearsilver >= 0.10.4
Summary: trac 0.10.x + python 2.5 requires python-clearsilver >= 0.10.4
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: clearsilver
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-28 14:27 UTC by Jarod Wilson
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-17 16:15:33 UTC


Attachments (Terms of Use)

Description Jarod Wilson 2007-03-28 14:27:06 UTC
Description of problem:
At the moment, trac blows up royally when run on rawhide. According to the trac
folks, trac 0.10.x when mated with python 2.5 requires python-clearsilver >=
0.10.4, or you'll run into instantaneous crashes when people try to browse a
trac site, like so:

*** glibc detected *** /usr/bin/python: free(): invalid pointer:
0x00002aaaaab156d0 ***

Version-Release number of selected component (if applicable):
trac-0.10.3.1-2.fc7.noarch
python-2.5-11.fc7.x86_64
python-clearsilver-0.10.3-6.fc7.x86_64

How reproducible:
Just point a web browser at your trac instance. You get just a blank page in the
browser, and a ton of lines of backtrace spew in your apache logs.

Poking at a clearsilver 0.10.4 build now...

Comment 1 Jarod Wilson 2007-03-28 14:36:54 UTC
Forgot to mention this problem is noted at the top of the TracInstall page on
EdgeWall's web site: http://trac.edgewall.org/wiki/TracInstall

Good news is that clearsilver 0.10.4 seems to build just fine now, with just
these spec changes:

$ diff -u clearsilver.spec clearsilver-0.10.4.spec 
--- clearsilver.spec    2006-12-09 06:04:55.000000000 -0500
+++ clearsilver-0.10.4.spec     2007-03-28 10:30:05.000000000 -0400
@@ -1,8 +1,8 @@
 %{!?python_sitearch: %define python_sitearch %(%{__python} -c "from
distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
 
 Name:           clearsilver
-Version:        0.10.3
-Release:        6%{?dist}
+Version:        0.10.4
+Release:        1%{?dist}
 Summary:        Fast and powerful HTML templating system
 Group:          Development/Libraries
 License:        Neotonic ClearSilver Software License
@@ -127,8 +127,9 @@
 %files
 %defattr(-,root,root,-)
 %doc CS_LICENSE INSTALL LICENSE README
+%{_bindir}/cs
 %{_bindir}/cstest
-%{_bindir}/static.cgi
+%{_bindir}/cs_static.cgi
 %{_mandir}/man3/*
 
 %files devel
@@ -165,6 +166,9 @@
 %endif
 
 %changelog
+* Wed Mar 28 2007 Jarod Wilson <jwilson@redhat.com> - 0.10.4-1
+- release 0.10.4
+
 * Sat Dec  9 2006 Joost Soeterbroek <joost.soeterbroek@gmail.com> - 0.10.3-5
 - Rebuild for python 2.5 

Comment 2 Jarod Wilson 2007-04-17 16:15:33 UTC
0.10.4 is in rawhide, closing


Note You need to log in before you can comment on or make changes to this bug.